<template>
  <v-row>
    <v-col cols="12" sm="6" md="6">
      <v-text-field
        label="รหัสฟอร์ม"
        v-model="objLocal.formCode"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="6">
      <v-text-field
        label="รหัสล็อกเกอร์"
        v-model="objLocal.lockerCode"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" :md="role == 'Admin' ? 6 : 4">
      <v-text-field
        label="ชื่อสถานที่"
        v-model="objLocal.locateName"
        disabled
        filled
        rounded
        v-if="objLocal.status != 'RF'"
      ></v-text-field>
      <v-select
        v-model="objLocal.locateId"
        :items="locates"
        item-text="locateName"
        item-value="locateId"
        filled
        rounded
        label="ชื่อสถานที่"
        @change="changeLocation"
        v-if="obj.status == 'RF'"
      ></v-select>
    </v-col>
    <v-col cols="12" sm="6" md="6" v-if="role == 'Admin'">
      <v-text-field
        label="ชื่อ Partner"
        v-model="objLocal.fullName"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" :md="role == 'Admin' ? 6 : 4">
      <v-text-field
        label="longtitude"
        v-model="objLocal.longtitude"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" :md="role == 'Admin' ? 6 : 4">
      <v-text-field
        label="latitude"
        v-model="objLocal.latitude"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="4">
      <v-text-field
        label="Size S"
        v-model="objLocal.sAmount"
        :disabled="objLocal.status == 'RF' && role == 'Partner' ? false : true"
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="4">
      <v-text-field
        label="Size M"
        v-model="objLocal.mAmount"
        :disabled="objLocal.status == 'RF' && role == 'Partner' ? false : true"
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="4">
      <v-text-field
        label="Size L"
        v-model="objLocal.lAmount"
        :disabled="objLocal.status == 'RF' && role == 'Partner' ? false : true"
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="3">
      <v-text-field
        label="ตำบล / แขวง"
        v-model="objLocal.subDistrict"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="3">
      <v-text-field
        label="อำเภอ / เขต"
        v-model="objLocal.district"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="3">
      <v-text-field
        label="จังหวัด"
        v-model="objLocal.province"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>
    <v-col cols="12" sm="6" md="3">
      <v-text-field
        label="รหัสไปรษณีย์"
        v-model="objLocal.postalCode"
        disabled
        filled
        rounded
      ></v-text-field>
    </v-col>

    <v-col cols="12">
      <v-textarea
        v-model="obj.optionalRequest"
        color="deep-purple"
        label="ความต้องการเพิ่มเติม"
        filled
        rounded
        v-if="objLocal.status == 'RF' && role == 'Partner'"
        rows="1"
      ></v-textarea>
    </v-col>
    <v-col cols="12">
      <v-textarea
        disabled
        filled
        rounded
        v-if="
          (objLocal.optionalRequest != null ||
            objLocal.optionalRequest != '' ||
            objLocal.optionalRequest != undefined) &&
          objLocal.status == 'VF'
        "
        name="input-7-4"
        v-model="objLocal.optionalRequest"
        label="ความต้องการเพิ่มเติม"
      ></v-textarea>
    </v-col>
  </v-row>
</template>

<script>
export default {
  props: ["obj"],
  model: {
    prop: "obj",
    event: "objChange",
  },
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      locates: [],
    };
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
  async created() {
    await this.fetchLocation();
  },
  methods: {
    changeLocation(item) {
      for (let i in this.locates) {
        if (item == this.locates[i].locateId) {
          this.objLocal.subDistrict = this.locates[i].subDistrict;
          this.objLocal.district = this.locates[i].district;
          this.objLocal.province = this.locates[i].province;
          this.objLocal.postalCode = this.locates[i].postalCode;
          this.objLocal.latitude = this.locates[i].latitude;
          this.objLocal.longtitude = this.locates[i].longtitude;
        }
      }
    },
    async fetchLocation() {
      await this.$store.dispatch("locate/getLocationByAccountId");
      this.locates = this.$store.getters["locate/result"];
    },
  },
};
</script>

<style>
</style>